## heartbeat 3.0.2+hg12555

=== debian/changelog ===
heartbeat (1:3.0.2+hg12555-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 11:27:45 +0000

heartbeat (1:3.0.2+hg12555-2) unstable; urgency=low

  * Removed 01_docbook_path.dpatch from debian/patches as it's useless 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 11:08:39 +0000

heartbeat (1:3.0.2+hg12555-1) unstable; urgency=low

  * New Mercurial checkout
  * Adopt patch by Florian Haas to delete libnet build dependency

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 07:40:29 +0000

heartbeat (1:3.0.2+hg12547-2) unstable; urgency=low

  [ Martin Loschwitz ]
  * Re-add dh_installinit but delete heartbeat.init
  * Deleted some ancient files from debian-subdirectory

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Mar 2010 08:49:00 +0100

heartbeat (1:3.0.2+hg12547-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * Update to latest HG version
  * New copyright-file by Ante Karamatic
  * Use heartbeat standard init script instead of the old one

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 02 Mar 2010 17:11:00 +0100

heartbeat (1:3.0.2-2) UNRELEASED; urgency=low

  [ Simon Horman ]
  * Build-depend on libsensors4-dev | libsensors-dev.
  * remove ldconfig from heartbeat.{postrm,postinst}.

  [ Frederik Schüler ]
  * Add myself to uploaders.
  * Drop duplicate priority and section fields from debian/control.
  * Bump standards version to 3.8.4, no changes needed.
  * Switch to debhelper 7.
  * Switch to source version 3.0 "quilt", drop dpatch dependency.
  * Use dh_prep instead of dh_clean -k.
  * Depend on cluster-agents.

 -- Frederik Schüler <fs@debian.org>  Fri, 26 Feb 2010 19:20:44 +0100

heartbeat (1:3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Feb 2010 08:05:00 +0100

heartbeat (1:3.0.2~rc2+hg20100127-0test1) unstable; urgency=low

  * Incorporating a whole lot of change introduced by Ante Karamatic
    from Ubuntu; thank you very much!
  * New heartbeat source checkout

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 Jan 2010 13:11:00 +0200

heartbeat (3.0.2~rc2-0ubuntu0ppa3) lucid; urgency=low

  * Drop hard dep on pacemaker for heartbet; moved to Recommends

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 06 Jan 2010 19:41:16 +0000

heartbeat (3.0.2~rc2-0ubuntu0ppa2) lucid; urgency=low

  * debian/heartbeat.install:
    - follow upstream changes
  * debian/control:
    - added dpatch, docbook-xsl and xsltproc to build depends
  * debian/rules:
    - (un)apply patches
  * debian/patches/01_docbook_path.dpatch:
    - use local docbook-xsl

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 06 Jan 2010 11:33:21 +0000

heartbeat (3.0.2~rc2-0ubuntu0ppa1) lucid; urgency=low

  * New upstream release

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 06 Jan 2010 10:57:33 +0000

heartbeat (3.0.beta1+hg20091102-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 08:37:01 +0000

heartbeat (3.0.beta1+hg20091102-2) unstable; urgency=low

  * Added pacemaker-dependency to heartbeat as heartbeat would be
    pretty useless otherwise. 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 08:04:15 +0000

heartbeat (3.0.beta1+hg20091102-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * New upstream checkout
  * heartbeat: Provide cluster-messaging-framework

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 02 Nov 2009 13:22:43 +0000

heartbeat (3.0.beta1+hg20091012-1) unstable; urgency=low

  [ Martin Loschwitz ] 
  * New upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 12 Oct 2009 14:37:00 +0200
 

heartbeat (3.0.beta1+hg20090915-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * Removed huge parts of debian/ due to upstream package split up

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 15 Sep 2009 09:53:00 +0200

heartbeat (2.99.2+sles11r9-5) unstable; urgency=low

  [ Martin Loschwitz ]
  * fix binary-arch/binary-indep handling in debian/rules, REALLY fixing the
    duplicate file problem this time.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 02 Jun 2009 11:45:00 +0200

heartbeat (2.99.2+sles11r9-4) unstable; urgency=low
  
  [ Martin Loschwitz ]
  * Fix bug introduced in -3 where some LRM regression documentation would
    be both in heartbeat and in heartbeat-common

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 01 Jun 2009 18:42:00 +0200
 

heartbeat (2.99.2+sles11r9-3) experimental; urgency=low

  [ Martin Loschwitz ]
  * More tweaking for the heartbeat/heartbeat-common split, based
    on the advise by Andrew Beekhof (Thank you very much!)

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 May 2009 13:16:00 +0200

heartbeat (2.99.2+sles11r9-2) experimental; urgency=low

  [ Martin Loschwitz ]
  * include send_arp as things might get troublesome otherwise

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 May 2009 00:00:00 +0200

heartbeat (2.99.2+sles11r9-1) experimental; urgency=low
  
  [ Martin Loschwitz ]
  * Updated to latest upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 22 May 2009 08:51:00 +0200

heartbeat (2.99.2+sles11r7-1) experimental; urgency=low

  [ Martin Loschwitz ]
  * Redid package structure, adding the following new packages:
    libheartbeat2
    libheartbeat2-dev
    heartbeat-common
    heartbeat-common-dev
    This makes the packages as compatible as possible with the according
    SLES packages; additionally, it allows to have a nearly openais-only
    pacemaker.
  * Changed Maintainer to the Debian HA-Maintainers
  * New Upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 21 Mar 2009 00:04:00 +0100

heartbeat (2.99.2-1) experimental; urgency=low

  [ Anibal Monsalve Salazar ]
  * New Upstream

  * Add myself to uploaders

  [ Simon Horman ]
  * Change distribution from sid to experimental


