=== debian/control ===
Source: heartbeat
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 7), libcluster-glue-dev, cluster-glue-dev, libsnmp-dev, libglib2.0-dev, perl, net-tools, iputils-ping, python, psmisc, iproute, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, lynx, libbz2-dev, zlib1g-dev, uuid-dev, libsensors4-dev | libsensors-dev, libltdl3-dev, swig, openssh-client, libgnutls-dev, python-central (>= 0.5), python-dev, libpam0g-dev, libncurses5-dev, psmisc, libopenhpi-dev, libopenipmi-dev, autoconf, automake, libtool, docbook-xsl, xsltproc
Standards-Version: 3.8.4
XS-Python-Version: current

Package: heartbeat
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cluster-glue, iproute, adduser, iputils-ping, psmisc, gawk, mawk, libxml2-utils, libpam-runtime (>= 0.76-14), cluster-agents
Recommends: rsyslog | system-log-daemon, logrotate, iptables, pacemaker (>= 1.0.6)
Provides: cluster-messaging-framework
XB-Python-Version: ${python:Versions}
Description: Subsystem for High-Availability Linux
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.

Package: heartbeat-dev
Section: devel
Architecture: any
Depends: heartbeat (= ${binary:Version}), ${misc:Depends}
Conflicts: libstonith-dev (<< 2.0.8-3), libpils-dev (<< 2.0.8-3), pacemaker-dev (<< 1.0.1-1)
XB-Python-Version: ${python:Versions}
Description: Subsystem for High-Availability Linux - development files
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.
 .
 This package contains Heartbeat-specific development files.

Package: libheartbeat2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: heartbeat (<= 2.99.2+sles11r7-0+1)
Conflicts: heartbeat (<= 2.99.2+sles11r7-0+1)
Description: Subsystem for High-Availability Linux (libraries)
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.
 .
 This package contains the Heartbeat libraries to make them available
 to other programs like Pacemaker without having to install the whole
 Heartbeat suite.

Package: libheartbeat2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libheartbeat2 (= ${binary:Version})
Replaces: heartbeat (<= 2.99.2+sles11r7-0+1)
Conflicts: heartbeat (<= 2.99.2+sles11r7-0+1)
Description: Subsystem for High-Availability Linux (development files)
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.
 .
 This package contains the Heartbeat library development files to make
 them available to other programs like Pacemaker.
