=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# Copyright 1997 to 1999 by Joey Hess.
# License: GNU General Public License (GPL)

#Thanks to Paolo Molaro <lupus@debian.org> and heartbeat_0.4.6-2.diff

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var \
  --mandir=/usr/share/man --disable-crm \
  --with-group-name=haclient --with-ccmuser-name=hacluster \
  --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs \
  --enable-libc-malloc

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -O0
else
       CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
       INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

DTMP:=`pwd`/debian/tmp
RELEASE := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
UPSTREAM := $(shell echo "$(RELEASE)" | sed 's/:\?\([0-9\.]\+\)-[0-9].*/\1/')


build: build-stamp
build-stamp:
	dh_testdir
	# Only boostrap as neccessary
	if test -e ./configure -a ! -x ./configure; then		\
		chmod u+x ./configure;					\
	fi
	if test -e ./py-compile -a ! -x ./py-compile; then		\
		chmod u+x ./py-compile;					\
	fi
	test ! -x ./configure || ./configure $(cfg);
	test -x ./configure || ./bootstrap $(cfg)
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f tools/ccdv
	-find . -name '*.py[co]' | xargs rm -f
	dh_clean
	rm -f libltdl.tar autoconf automake autoheader
	rm -f debian/init debian/*.debhelper debian/*.substvars config.log
	rm -r -f debian/heartbeat debian/heartbeat-dev debian/ldirectord \
		debian/libpils0 debian/libpils-dev \
		debian/libstonith0 debian/libstonith-dev debian/stonith
	
	# Zero autoconf foo
	rm -f config.status libltdl/config.log libltdl/config.status 

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
	  MAKE=make \
	  docdir=/usr/share/doc/heartbeat
	
	mv $(DTMP)/usr/share/heartbeat/cts/README \
		$(DTMP)/usr/share/doc/heartbeat/README.cts
	
	find $(DTMP)/usr/share/man -type f | xargs gzip -v --best
	install -c -m 755 heartbeat/init.d/heartbeat \
                $(DTMP)/etc/init.d/heartbeat
	cd $(DTMP)/etc/ && ln -s ha.d heartbeat
	
	dh_install --source=debian/tmp --list-missing
	
	# remove more useless COPYING files
	rm -rf `pwd`/debian/tmp/usr/share/doc/heartbeat/COPYING*
	
	# move documentation stuff to the right directory
	mkdir -p `pwd`/debian/tmp/usr/share/doc/heartbeat/
	
	# remove unnecessary directories
	rm -rf `pwd`/debian/heartbeat-dev/usr/include/
	rm -rf `pwd`/debian/heartbeat-common-dev/usr/lib/stonith/plugins/stonith2/ribcl.py
	
	rm -rf `pwd`/debian/heartbeat/etc/ha.d/{conf,cts}
	rm -rf `pwd`/debian/heartbeat/usr/lib/stonith
	rm -rf `pwd`/debian/heartbeat/usr/lib/pils
	rm -rf `pwd`/debian/heartbeat/usr/include/
	rm -rf `pwd`/debian/heartbeat/usr/lib/heartbeat/plugins/AppHBNotification/
	
	rm -rf `pwd`/debian/heartbeat-common/usr/lib/ocf/resource.d/heartbeat/ldirectord
	
	# remove duplicate header file to not conflict with cluster-glue
	rm -rf `pwd`/debian/libheartbeat2-dev/usr/include/heartbeat/ha_msg.h
	rm -rf `pwd`/debian/libheartbeat2-dev/usr/include/heartbeat/compress.h

binary-indep: build install
	
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installinit -i -n -u 'defaults 20 32'
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i -V
	dh_installdeb -i
	dh_perl -i
	dh_pycentral -i
	dh_python -i `pwd`/usr/lib/heartbeat/cts `pwd`/usr/lib/heartbeat
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	# remove duplicate doc file
	rm -rf `pwd`/debian/heartbeat/usr/share/doc/heartbeat/README.lrm_regression_tests
	
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a -n -u 'defaults 20 32'
	dh_installman -a
	dh_installchangelogs -a `pwd`/doc/ChangeLog
	dh_lintian -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	
	# remove redundant license files
	rm -rf `pwd`/debian/heartbeat/usr/share/doc/heartbeat/COPYING.*
	rm -rf `pwd`/debian/heartbeat-common/usr/share/doc/heartbeat/COPYING.gz
	
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_perl -a
	dh_pycentral -a
	dh_python -a `pwd`/usr/lib/heartbeat/cts `pwd`/usr/lib/heartbeat
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
#	@echo "Any unpackaged files follow (.a and .la files omitted):"
#	@cd $(DTMP) && find ./ \! -type d | egrep -v \\\.l?a || true

.PHONY: build clean binary binary-indep binary-arch install patch unpatch
