## heartbeat 3.0.3

=== debian/changelog ===
heartbeat (1:3.0.3-2ubuntu1) natty; urgency=low

  * debian/patches/ftbfs_no_as_needed.patch: Fix FTBFS (LP: #687975).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 09 Dec 2010 14:09:59 -0500

heartbeat (1:3.0.3-2) unstable; urgency=low

  * Add build dependency on docbook-xml.

 -- Frederik Schüler <fs@debian.org>  Mon, 03 May 2010 20:09:52 +0200

heartbeat (1:3.0.3-1) unstable; urgency=low

  * New upstream version 3.0.3
  * Disable strict warnings (Close: #577550)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 16 Apr 2010 07:13:15 +0000
