=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
   --mandir=/usr/share/man --disable-crm \
   --with-group-name=haclient --with-ccmuser-name=hacluster \
   --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs \
-  --enable-libc-malloc
+  --enable-libc-malloc --disable-fatal-warnings
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
