## heartbeat 3.0.4

=== debian/changelog ===
heartbeat (1:3.0.4-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Sun, 22 May 2011 09:34:46 +0000

heartbeat (1:3.0.4-1) unstable; urgency=low

  * New Upstream
    Closes: 487167
    Closes: 582874
  * Update standards version from 3.8.4 to 3.9.1
  * Added Homepage to debian/control
    Closes: 594031
  * Depend on new cluster-agent library packages
    Closes: 593321

 -- Simon Horman <horms@debian.org>  Thu, 16 Dec 2010 22:53:53 +0900
