=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var \
   --mandir=/usr/share/man --disable-crm \
   --with-group-name=haclient --with-ccmuser-name=hacluster \
-  --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs \
   --enable-libc-malloc --disable-fatal-warnings
 
 # These are used for cross-compiling and for saving the configure script
@@ -42,15 +41,15 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	# Only boostrap as neccessary
+	# Only bootstrap as neccessary
 	if test -e ./configure -a ! -x ./configure; then		\
 		chmod u+x ./configure;					\
 	fi
 	if test -e ./py-compile -a ! -x ./py-compile; then		\
 		chmod u+x ./py-compile;					\
 	fi
-	test ! -x ./configure || ./configure $(cfg);
-	test -x ./configure || ./bootstrap $(cfg)
+	test ! -x ./configure || /bin/bash ./configure $(cfg);
+	test -x ./configure || /bin/bash ./bootstrap $(cfg)
 	$(MAKE)
 	touch build-stamp
 
@@ -102,7 +101,8 @@
 	rm -rf `pwd`/debian/heartbeat-dev/usr/include/
 	rm -rf `pwd`/debian/heartbeat-common-dev/usr/lib/stonith/plugins/stonith2/ribcl.py
 	
-	rm -rf `pwd`/debian/heartbeat/etc/ha.d/{conf,cts}
+	rm -rf `pwd`/debian/heartbeat/etc/ha.d/conf
+	rm -rf `pwd`/debian/heartbeat/etc/ha.d/cts
 	rm -rf `pwd`/debian/heartbeat/usr/lib/stonith
 	rm -rf `pwd`/debian/heartbeat/usr/lib/pils
 	rm -rf `pwd`/debian/heartbeat/usr/include/
